Page MenuHomePhabricator

Adding a category to a page without any categories doesn't show up until saving
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Open a page without any categories for editing in VE.
  2. Add a new category to that page.

Expected:
The category should immediately show up at the end of the page, like it does for pages that had categories before.

Actual:
It is not shown until you save.

Event Timeline

Schnark created this task.Jan 11 2019, 10:05 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJan 11 2019, 10:05 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JTannerWMF moved this task from To Triage to Q4 on the VisualEditor board.Jan 17 2019, 4:46 PM
DLynch moved this task from Q4 to Up next on the VisualEditor board.Feb 21 2019, 4:32 PM
DLynch claimed this task.Feb 21 2019, 5:37 PM
DLynch edited projects, added VisualEditor (Current work); removed VisualEditor.
DLynch moved this task from Incoming to In progress on the VisualEditor (Current work) board.

Change 492006 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] When rendering categories, hide/show catlinks as needed

https://gerrit.wikimedia.org/r/492006

The other side effect of this bug was that removing all non-hidden categories from the page would leave an empty categories box, when it should have been hidden.

Change 492006 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] When rendering categories, hide/show catlinks as needed

https://gerrit.wikimedia.org/r/492006

ppelberg closed this task as Resolved.Mar 14 2019, 10:58 PM